# Created by pyp2rpm-1.0.1
%global pypi_name blist
%global with_python3 1
%define version 1.3.4

Name:           python-blist
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        a list-like type with better asymptotic performance and similar performance on small lists
License:        BSD
URL:            http://pypi.python.org/pypi/blist/
Source0:        https://pypi.python.org/packages/source/b/blist/blist-%{version}.tar.gz
Patch0:		blist-1.2.1-use-sys-setuptools.patch 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
The ``blist`` is a drop-in replacement for the Python list the
provides better performance when modifying large lists.  The blist
package also provides ``sortedlist``, ``sortedset``,
``weaksortedlist``, ``weaksortedset``, ``sorteddict``, and ``btuple``
types.
%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        a list-like type with better asymptotic performance and similar performance on small lists


%description -n python3-%{pypi_name}
The ``blist`` is a drop-in replacement for the Python list the
provides better performance when modifying large lists.  The blist
package also provides ``sortedlist``, ``sortedset``,
``weaksortedlist``, ``weaksortedset``, ``sorteddict``, and ``btuple``
types.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1 -b .use-sys-setuptools

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3

%check
%{__python} setup.py test

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitearch}/*
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitearch}/*
%endif # with_python3



%changelog
* Wed Nov 27 2013 joequant <joequant> 1.3.4-2.mga4
+ Revision: 553763
- add setuptools deps
- add python3

* Wed Nov 27 2013 joequant <joequant> 1.3.4-1.mga4
+ Revision: 553703
- imported package python-blist

